Subject: GNU-Win32 Makefile: Dependencies
From: [email-masked] (Sheetal Gangakhedkar)

9 Dec 1998 23:10:49 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

I want to run this makefile in the Cygnus GNU-Make win32 mode. I am encountering problems, I don't understand. 
This makefile runs fine in the UNIX mode and BASH shell environment.

Thank You
-Sheetal

enc: Makefile
-------------
TARGET  = main.exe
SOURCES = main.c
OBJECTS = $(SOURCES:.c=.o)

%.d: %.c
	$(SHELL) -ec '$(CC) -MM $(CPPFLAGS) $< \
	| sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@; \
	[ -s $@ ] || rm -f $@'

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

all: $(TARGET)

$(TARGET): main.o

clean: FORCE
	$(RM) $(OBJECTS)

distclean: clean
	$(RM) $(TARGET)

FORCE:

sinclude $(SOURCES:.c=.d)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".